import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform',`translate(${width/2},${height/2})`);

const circle = g.append('circle')
  .attr('r',height/2)
	//.attr('cx',width/2)
	//.attr('cy',height/2)
	.attr('fill','yellow')
	.attr('stroke','black')

const eyeSpacing = 100
const ySpacing = -70
const eyeRadius = 20
const eyebrowWidth = 40
const eyebrowHeight = 10

const eyesG = g.append('g')
	.attr('transform', `translate(0,${ySpacing})`	)

const leftEye = eyesG.append('circle')
  .attr('r',eyeRadius)
	.attr('cx', -eyeSpacing)

const rightEye = eyesG.append('circle')
  .attr('r',eyeRadius)
	.attr('cx', +100)


const leftEyebrow = eyesG.append('rect')
	.attr('x',-eyeSpacing - eyebrowWidth/2)
	.attr('y', -60)
	.attr('width',eyebrowWidth)
	.attr('height',eyebrowHeight)

const rightEyebrow = eyesG.append('rect')
	.attr('x',+eyeSpacing - eyebrowWidth/2)
	.attr('y', -60)
	.attr('width',eyebrowWidth)
	.attr('height',eyebrowHeight)


const mouth = g.append('path')
	.attr('d', arc()({
  	innerRadius:0,
    outerRadius:170,
    startAngle:Math.PI/2,
    endAngle:Math.PI * 3/2
  }));